BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT_CBUS_OPTIONS Class Reference

Available functions for the FT232R CBUS pins. Controlled by FT232R EEPROM settings More...

## Public Attributes
const byte | FT_CBUS_TXDEN = 0x00
| FT232R CBUS EEPROM options - Tx Data Enable More...
const byte | FT_CBUS_PWRON = 0x01
| FT232R CBUS EEPROM options - Power On More...
const byte | FT_CBUS_RXLED = 0x02
| FT232R CBUS EEPROM options - Rx LED More...
const byte | FT_CBUS_TXLED = 0x03
| FT232R CBUS EEPROM options - Tx LED More...
const byte | FT_CBUS_TXRXLED = 0x04
| FT232R CBUS EEPROM options - Tx and Rx LED More...
const byte | FT_CBUS_SLEEP = 0x05
| FT232R CBUS EEPROM options - Sleep More...
const byte | FT_CBUS_CLK48 = 0x06
| FT232R CBUS EEPROM options - 48MHz clock More...
const byte | FT_CBUS_CLK24 = 0x07
| FT232R CBUS EEPROM options - 24MHz clock More...
const byte | FT_CBUS_CLK12 = 0x08
| FT232R CBUS EEPROM options - 12MHz clock More...
const byte | FT_CBUS_CLK6 = 0x09
| FT232R CBUS EEPROM options - 6MHz clock More...
const byte | FT_CBUS_IOMODE = 0x0A
| FT232R CBUS EEPROM options - IO mode More...
const byte | FT_CBUS_BITBANG_WR = 0x0B
| FT232R CBUS EEPROM options - Bit-bang write strobe More...
const byte | FT_CBUS_BITBANG_RD = 0x0C
| FT232R CBUS EEPROM options - Bit-bang read strobe More...

## Detailed Description

Available functions for the FT232R CBUS pins. Controlled by FT232R EEPROM settings

## Member Data Documentation

## ◆ FT_CBUS_BITBANG_RD

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_BITBANG_RD = 0x0C

FT232R CBUS EEPROM options - Bit-bang read strobe

## ◆ FT_CBUS_BITBANG_WR

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_BITBANG_WR = 0x0B

FT232R CBUS EEPROM options - Bit-bang write strobe

## ◆ FT_CBUS_CLK12

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_CLK12 = 0x08

FT232R CBUS EEPROM options - 12MHz clock

## ◆ FT_CBUS_CLK24

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_CLK24 = 0x07

FT232R CBUS EEPROM options - 24MHz clock

## ◆ FT_CBUS_CLK48

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_CLK48 = 0x06

FT232R CBUS EEPROM options - 48MHz clock

## ◆ FT_CBUS_CLK6

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_CLK6 = 0x09

FT232R CBUS EEPROM options - 6MHz clock

## ◆ FT_CBUS_IOMODE

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_IOMODE = 0x0A

FT232R CBUS EEPROM options - IO mode

## ◆ FT_CBUS_PWRON

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_PWRON = 0x01

FT232R CBUS EEPROM options - Power On

## ◆ FT_CBUS_RXLED

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_RXLED = 0x02

FT232R CBUS EEPROM options - Rx LED

## ◆ FT_CBUS_SLEEP

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_SLEEP = 0x05

FT232R CBUS EEPROM options - Sleep

## ◆ FT_CBUS_TXDEN

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_TXDEN = 0x00

FT232R CBUS EEPROM options - Tx Data Enable

## ◆ FT_CBUS_TXLED

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_TXLED = 0x03

FT232R CBUS EEPROM options - Tx LED

## ◆ FT_CBUS_TXRXLED

const byte FTD2XX_NET.FTDI.FT_CBUS_OPTIONS.FT_CBUS_TXRXLED = 0x04

FT232R CBUS EEPROM options - Tx and Rx LED

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs